Skip to main content
`Ctrl`+`K`

# MatCoarsenGetType

Gets the Coarsen method type and name (as a string) from the coarsen context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenGetType(MatCoarsen coarsen, MatCoarsenType *type)

Not Collective

## Input Parameter

- coarsen - the coarsen context

## Output Parameter

- type - coarsener type

## See Also

`MatCoarsen`, `MatCoarsenCreate()`, `MatCoarsenType`, `MatCoarsenSetType()`, `MatCoarsenRegister()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages